<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [Connection](./puppeteer.connection.md) &gt; [fromSession](./puppeteer.connection.fromsession.md)

## Connection.fromSession() method

<b>Signature:</b>

```typescript
static fromSession(session: CDPSession): Connection;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  session | [CDPSession](./puppeteer.cdpsession.md) |  |

<b>Returns:</b>

[Connection](./puppeteer.connection.md)

